# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# This file is in the public domain
### END LICENSE

import gettext
from gettext import gettext as _
gettext.textdomain('qreator')

from gi.repository import Gtk # pylint: disable=E0611
import logging
logger = logging.getLogger('qreator')

from qreator_lib import Window
from qreator.AboutQreatorDialog import AboutQreatorDialog
from qreator.PreferencesQreatorDialog import PreferencesQreatorDialog

# See qreator_lib.Window.py for more details about how this class works
class QreatorWindow(Window):
    __gtype_name__ = "QreatorWindow"
    
    def finish_initializing(self, builder): # pylint: disable=E1002
        """Set up the main window"""
        super(QreatorWindow, self).finish_initializing(builder)

        self.AboutDialog = AboutQreatorDialog
        self.PreferencesDialog = PreferencesQreatorDialog

        # Code for other initialization actions should be added here.

